import { Command } from "./Command";
export interface IExtOptions {
    extensionDir: string;
}
/**
 * Extension manager class
 *
 * @export
 * @class ExtensionManager
 */
export declare class ExtensionManager {
    private options;
    /**
     * Map of commands
     *
     * @type {Map<string, Command>}
     */
    commands: Map<string, Command>;
    constructor(options: IExtOptions);
    /**
     * Initializes the extension manager
     *
     * @returns {Promise<void>}
     */
    init(): Promise<void>;
}
