/// <reference types="node" />
/**
 * Ratelimiter bucket
 *
 * @export
 * @class Ratelimiter
 */
export declare class Ratelimiter {
    max: number;
    time: number;
    /**
     * If the bucket is soft ratelimited or not
     *
     * @type {boolean}
     */
    soft: boolean;
    /**
     * If the warning was sent
     *
     * @type {boolean}
     */
    sentWarn: boolean;
    /**
     * Last use (timestamp)
     *
     * @type {number}
     */
    lastUse: number;
    /**
     * Uses
     *
     * @type {number}
     */
    uses: number;
    /**
     * Bucket reset interval
     *
     * @type {NodeJS.Timer}
     */
    interval: NodeJS.Timer;
    constructor(max?: number, time?: number);
    /**
     * Use the bucket
     *
     * @returns {string}
     */
    use(): string;
}
