/// <reference types="i18next" />
import * as i18next from "i18next";
/**
 * Locale manager class
 *
 * @export
 * @class LocaleManager
 */
export declare class LocaleManager {
    /**
     * Translation function
     *
     * @type {i18next.TranslationFunction}
     */
    t: i18next.TranslationFunction;
    /**
     * Initializes the locale manager
     *
     * @returns {Promise<i18next.TranslationFunction>}
     */
    init(): Promise<i18next.TranslationFunction>;
    /**
     * Reloads the locales
     *
     * @returns {Promise<void>}
     */
    reload(): Promise<void>;
    /**
     * Returns a localized permission
     *
     * @param {string} perm Permission
     * @returns {string}
     */
    localizedPerm(perm: string): string;
    /**
     * Returns a localized string
     *
     * @param {string | string[]} str string
     * @param {map} opt options
     * @returns {string}
     */
    str(str: string | string[], opt: {
        [key: string]: any;
    }): string;
}
